﻿using System.Windows;
using System.Windows.Forms;
using System.Windows.Forms.Integration;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Loaded += Window_Loaded;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 윈도우 로드시 처리하기 - Window_Loaded(sender, e)

        /// <summary>
        /// 윈도우 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            WindowsFormsHost windowsFormsHost = new WindowsFormsHost();

            MaskedTextBox maskedTextBox = new MaskedTextBox("00/00/0000");

            maskedTextBox.BorderStyle = BorderStyle.FixedSingle;

            windowsFormsHost.Child = maskedTextBox;

            this.grid.Children.Add(windowsFormsHost);
        }

        #endregion
    }
}